from tkinter import *

class Game:
    def __init__(self):
        self.fenetre = Tk() #fenetre par defaut. Tk() est un objet
        self.fenetre.title("Simulation de l'atterrissage de Perseverance sur Mars") #titre de la fenetre
        self.fenetre.resizable(False, False) #redimensionnement de la fenetre impossible ni en largeur, ni en hauteur
        self.windowWidth = 700
        self.windowHeight = 700
        self.canevas = Canvas(self.fenetre, width=self.windowWidth, height=self.windowHeight) #parametres de la zone de dessin
        self.canevas.pack() #ajoute la zone de dessin à la fenetre
        self.fond = PhotoImage(file = 'landingSite.gif')
        self.canevas.create_image(0, 0, anchor=NW, image=self.fond)

class Lander:
    def __init__(self, x, y, vx, vy, image_lander, mass_lander):
        self.x = x
        self.y = y
        self.vx = vx
        self.vy = vy
        self.mass_lander = mass_lander
        jeu.canevas.create_image(self.x, self.y, anchor=NW, image=image_lander)

class Rectangle:
    def __init__(self, x1, y1, x2, y2, color):
        self.x1 = x1
        self.y1 = y1
        self.x2 = x2
        self.y2 = y2
        jeu.canevas.create_rectangle(self.x1, self.y1, self.x2, self.y2, fill = color)

jeu = Game()

image_lander = PhotoImage(file = 'lander.gif')
perseverance = Lander(500, 0, 0, 100, image_lander, 1825.)

landing_site = Rectangle(290, 620, 410, 625, 'red')
jeu.fenetre.mainloop()
